Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSemantics
Interface GoalListener

All Known Implementing Classes:
  GoalListenerForMetaEvents

    public interface GoalListener

call-back interface to be notified about events on goals

Nested Class Summary
`static class` | `GoalListener.GoalStates`

Method Summary
`void` | `goalFailed(Trigger goal)` method called when a goal is failed
`void` | `goalFinished(Trigger goal)` method called when a goal is successfully finished
`void` | `goalResumed(Trigger goal)` called when a suspended goal is resumed
`void` | `goalStarted(Event goal)` method called when a new goal is produced by operator !
`void` | `goalSuspended(Trigger goal, java.lang.String reason)` method called when a goal is suspended (waiting action on the environment or due to internal actions like .wait and .suspend)

Method Detail

### goalStarted

    void goalStarted(Event goal)

  method called when a new goal is produced by operator !

### goalFinished

    void goalFinished(Trigger goal)

  method called when a goal is successfully finished

### goalFailed

    void goalFailed(Trigger goal)

  method called when a goal is failed

### goalSuspended

    void goalSuspended(Trigger goal,
                       java.lang.String reason)

  method called when a goal is suspended (waiting action on the environment or due to internal actions like .wait and .suspend)

### goalResumed

    void goalResumed(Trigger goal)

  called when a suspended goal is resumed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD